/*
    ! /index.js
    = Central Project Entry-Point
*/

// % import node & npm modules
import path from 'path';
import { createServer } from 'http';

// % import modules
import { dirs, dbConfig } from './configuration/mapping.js';
import { generate, generatePrefixed } from './services/idGenerator.js';

// % set neccessary directories and paths
const expressDir = path.resolve(dirs.serverDir, 'express');
const webSocketDir = path.resolve(dirs.serverDir, 'websocket');

async function startConnect() {
    const express = await import(`${expressDir}/server.js`);
    const websocket = await import(`${webSocketDir}/server.js`);

    const server = createServer(express.default);
}
startConnect();